package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description :
 * @Reference :
 * @Author : silliter
 * @CreateDate : 2019-05-13 15:53
 * @Modify:
 **/
public class AndonEnumUtil {
    /**
     * 按灯状态
     * 10-是，20-否
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum IS_ALARM_STATUS{

        YES(10,"需要按灯"),
        ON(20,"不需要按灯");

        private int value;
        private String description;

        IS_ALARM_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }
}
